import '@/styles/index.scss';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import i18n from './I18n/index';
import { createApp } from 'vue';
import { createPinia } from 'pinia';
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';
import App from './App.vue';
import router from './router';
import 'viewerjs/dist/viewer.css';
import Vue3Marquee from 'vue3-marquee';
import VueViewer from 'v-viewer';

const app = createApp(App);
const pinia = createPinia();
pinia.use(piniaPluginPersistedstate);

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}

app.use(pinia);
app.use(router);
app.use(ElementPlus);
app.use(i18n);
app.use(Vue3Marquee,{name:'Marquee'});
app.use(VueViewer);

app.mount('#app');
